Package org.eclipse.jdt.ui.actions

## Class ProjectActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.ProjectActionGroup

    public class ProjectActionGroup
    extends ActionGroup

Adds actions to open and close a project to the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`ProjectActionGroup​(IViewPart part)` Creates a new `ProjectActionGroup`.
`ProjectActionGroup​(IWorkbenchSite site, ISelectionProvider selectionProvider)` Creates a new `ProjectActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars​(IActionBars actionBars)`
`void` `fillContextMenu​(IMenuManager menu)`
`OpenProjectAction` `getOpenProjectAction()` Returns the open project action contained in this project action group.
`protected void` `performSelectionChanged​(IStructuredSelection structuredSelection)`

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectActionGroup

    public ProjectActionGroup​(IViewPart part)

Creates a new `ProjectActionGroup`. The group requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### ProjectActionGroup

    public ProjectActionGroup​(IWorkbenchSite site,
                              ISelectionProvider selectionProvider)

Creates a new `ProjectActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `selectionProvider` - the selection provider used instead of the page selection provider.
Since:
  3.4

### Method Detail

#### performSelectionChanged

    protected void performSelectionChanged​(IStructuredSelection structuredSelection)

#### fillActionBars

    public void fillActionBars​(IActionBars actionBars)

Overrides:
  `fillActionBars` in class `ActionGroup`

#### fillContextMenu

    public void fillContextMenu​(IMenuManager menu)

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### getOpenProjectAction

    public OpenProjectAction getOpenProjectAction()

Returns the open project action contained in this project action group.

Returns:
  returns the open project action
Since:
  3.3

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ActionGroup`